summaryrefslogtreecommitdiff
path: root/bin/get-assignment
diff options
context:
space:
mode:
Diffstat (limited to 'bin/get-assignment')
-rwxr-xr-xbin/get-assignment6
1 files changed, 6 insertions, 0 deletions
diff --git a/bin/get-assignment b/bin/get-assignment
index b78ca9d..11aaf94 100755
--- a/bin/get-assignment
+++ b/bin/get-assignment
@@ -66,6 +66,12 @@ if ! flock -n 9; then
exit 1
fi
+exec 8> "${sanity_check_lock_file}"
+if ! flock -s -n 8; then
+ >&2 echo 'come back (shortly) later - sanity-check running.'
+ exit 1
+fi
+
clean_up() {
rm -f "${build_list_lock_file}"
rm -rf --one-file-system "${tmp_dir}"